%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>
Summary: 	Python wrapper module around the OpenSSL library
Name: 		python26-pyopenssl
Version: 	0.9
Release: 	1
BuildArch:	i686
Source0: 	http://pyopenssl.sf.net/pyOpenSSL-%{version}.tar.gz
Patch0: 	pyOpenSSL-0.7-openssl.patch
Patch2: 	pyOpenSSL-elinks.patch
Patch3: 	pyOpenSSL-nopdfout.patch
License: 	LGPLv2+
Group: 		Development/Libraries
Url: 		http://pyopenssl.sourceforge.net/
BuildRequires: 	elinks openssl-devel python26-devel
#BuildRequires: tetex-dvips tetex-latex latex2html

%description
High-level wrapper around a subset of the OpenSSL library, includes
 * SSL.Connection objects, wrapping the methods of Python's portable
   sockets
 * Callbacks written in Python
 * Extensive error-handling mechanism, mirroring OpenSSL's error codes
...  and much more ;)

%prep
%setup -q -n pyOpenSSL-%{version}
%patch0 -p1 -b .posixIncludes
%patch2 -p1 -b .elinks
%patch3 -p1 -b .nopdfout
# Fix permissions for debuginfo package
%{__chmod} -x src/ssl/connection.c

%build
FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done

CFLAGS="%{optflags}" %{__python} setup.py build
#%{__make} -C doc ps
#%{__make} -C doc text html
#find doc/ -name pyOpenSSL.\*

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README doc/pyOpenSSL.*
%{python_sitearch}/OpenSSL/
%{python_sitearch}/pyOpenSSL*.egg-info

%changelog
* Tue Nov 24 2009 Christian Metzen <metzench@ccux-linux.de> 0.9-1
- Initial CCux package release
